juzu.plugin.asset

## Annotation Type Stylesheet

-     @Retention(value=RUNTIME)
      @Target(value={})
      public @interface Stylesheet

  A stylesheet asset declaration.
  Author:
    Julien Viet

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `depends`
    `String` | `id`
    `AssetLocation` | `location`
    `int` | `maxAge` Defines `max-age` cache control headers for this stylesheet asset.
    `String` | `minified`
    `Class<? extends Minifier>[]` | `minifier`

- - ### Element Detail

    - #### value

          public abstract String value

      Returns:
        the value for resolving the stylesheet

    - #### id

          public abstract String id

      Returns:
        the asset id, used for referencing this stylesheet, the value is optional.
      Default:
        ""

    - #### minified

          public abstract String minified

      Returns:
        the minified version of the stylesheet
      Default:
        ""

    - #### depends

          public abstract String[] depends

      Returns:
        the stylesheet dependencies, i.e the stylesheet that are needed by this stylesheet.
      Default:
        {}

    - #### location

          public abstract AssetLocation location

      Returns:
        the asset location
      Default:
        juzu.asset.AssetLocation.APPLICATION

    - #### maxAge

          public abstract int maxAge

      Defines `max-age` cache control headers for this stylesheet asset.
      Returns:
        the max age
      Default:
        -1

    - #### minifier

          public abstract Class<? extends Minifier>[] minifier

      Returns:
        the list of minifiers for this stylesheet asset.
      Default:
        {}

Copyright © 2017 eXo Platform SAS. All rights reserved.